package com.rwk.system.service;

import java.util.List;
import com.rwk.system.domain.RwkAddressGroup;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-12-16
 */
public interface IRwkAddressGroupService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public RwkAddressGroup selectRwkAddressGroupById(Long id);

    /**
     * 查询通讯录分组列表
     * 
     * @param
     * @return
     */
    public List<RwkAddressGroup> selectRwkAddressGroupList(String username);

    /**
     * 查询通讯录分组列表
     *
     * @param
     * @return
     */
    public List<RwkAddressGroup> selectRwkAddressGroupListAllByDept(Long deptId);
    public List<RwkAddressGroup> selectRwkAddressGroupListLackByDept(Long deptId);

    /**
     * 新增【请填写功能名称】
     * 
     * @param rwkAddressGroup 【请填写功能名称】
     * @return 结果
     */
    public int insertRwkAddressGroup(RwkAddressGroup rwkAddressGroup);

    /**
     * 修改【请填写功能名称】
     * 
     * @param rwkAddressGroup 【请填写功能名称】
     * @return 结果
     */
    public int updateRwkAddressGroup(RwkAddressGroup rwkAddressGroup);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteRwkAddressGroupByIds(String ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteRwkAddressGroupById(Long id);
}
